Get zones that cover specified location (latitude & longitude, city_zipcode)
curl --request GET \
--url https://api.sandbox.usenash.com/v1/zones/coverage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/zones/coverage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/zones/coverage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"zones": [
{
"id": "zone_01234567890123456789",
"name": "Zone 1",
"externalId": "ext_01234567890123456789",
"portalUrl": "https://portal.usenash.com/settings/zones/zone_01234567890123456789",
"coverageArea": {
"cities": [
"San Francisco"
],
"cityZipcodes": [],
"countries": [],
"id": "coa_01234567890123456789",
"states": [],
"zipCodes": [
"94114"
]
},
"storeLocations": [
{
"blackoutDates": [],
"email": "",
"externalId": "ext_01234567890123456789",
"firstName": "Steve",
"id": "stl_01234567890123456789",
"lastName": "Kerr",
"location": {
"address": "120 E 34th St, New York, NY 10016, USA",
"addressCity": "New York",
"addressCountry": "US",
"addressFirstLine": "120 E 34th St",
"addressSecondarynumber": null,
"addressState": "NY",
"addressZip": "10016",
"lat": 40.7463656,
"lng": -73.9803215
},
"name": "10392",
"operatingHours": {
"friday": {
"active": true,
"shifts": []
},
"monday": {
"active": true,
"shifts": []
},
"saturday": {
"active": true,
"shifts": []
},
"sunday": {
"active": true,
"shifts": []
},
"thursday": {
"active": true,
"shifts": []
},
"tuesday": {
"active": true,
"shifts": []
},
"wednesday": {
"active": true,
"shifts": []
}
},
"phoneNumber": "+16132525710",
"pickupInstructions": "",
"prepTimeMinutes": null,
"tags": []
}
],
"storeLocationAssociations": [
{
"endDate": "2025-01-01",
"startDate": "2024-01-01",
"storeLocationId": "stl_01234567890123456789"
}
],
"zoneRestrictions": [
{
"id": "res_01234567890123456789",
"name": "Zone Restriction 1"
}
],
"tags": [
"service:rapid",
"franchise_location"
],
"zoneMetadata": {
"key": "value"
},
"isDeleted": false
}
]
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Get zones that cover specified location (latitude & longitude, city_zipcode)
Find zones whose polygon boundaries contain a given geographic point. Provide latitude/longitude, city_zipcode, or zipcode to find matching zones.
GET
/
v1
/
zones
/
coverage
Get zones that cover specified location (latitude & longitude, city_zipcode)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The latitude of the location to check coverage for. If used, must specify longitude
Example:
"0.00"
The longitude of the location to check coverage for. If used, must specify latitude
Example:
"0.00"
The city_zipcode pair to check coverage for. The location must have coverage set up using the City & Zip Code unique field, not the separate City or Zip Code fields.
Example:
"sanfrancisco_94114"
The zipcode to check coverage for.
Example:
"94114"
Response
OK
Response for list zones.
Show child attributes
Show child attributes
Was this page helpful?
⌘I